API

Rotate application client secret

Generates a new client_secret for the oauth application and invalidates the previous one immediately. Access and refresh tokens issued before the rotation stay valid. The plaintext secret is returned only in this response and cannot be retrieved again.

POST/v1/hq/oauth/applications/{application_id}/rotate-secret

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

application_id*string
Example"dwawd8awudawd"

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/oauth/applications/dwawd8awudawd/rotate-secret"
{
  "id": "7awdXwZoedakjad37a",
  "logo": "https://example.com/logo.png",
  "name": "King Accounting Connection",
  "name_translations": {
    "is": "King Accounting tenging",
    "fr": "Connexion King Accounting"
  },
  "developer_name": "King Accounting",
  "developer_url": "https://example.com/about_king_accounting",
  "description": "King Accounting Connection automatically syncs your Noona POS system with the King Accounting software.",
  "description_translations": {
    "is": "King Accounting tenging",
    "fr": "Connexion King Accounting"
  },
  "uninstall_message": "Note that all data that the app stored will be deleted.",
  "uninstall_message_translations": {
    "is": "King Accounting tenging",
    "fr": "Connexion King Accounting"
  },
  "about": "string",
  "redirect_uris": [
    "https://example.com"
  ],
  "scopes": [
    "activities:read"
  ],
  "client_type": "confidential",
  "public": true,
  "app_store": true,
  "show_in_navigation": true,
  "verticals": [
    "restaurant",
    "appointment"
  ],
  "countries": [
    "US",
    "CA"
  ],
  "payment_type": "free",
  "price": 1000,
  "currency": "ISK",
  "client_id": "7awdXwZoedakjad37a",
  "masked_client_secret": "*****d37a",
  "approved": true,
  "whitelisted_companies": [
    "string"
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "client_secret": "7awdXwZoedakjad37a7awdXwZoedakjad37a7awdXwZoedakjad37a"
}
Empty
Empty
Empty
Empty